using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DemoApplication
{
    public partial class GammaForm : ControlForm
    {
        public GammaForm()
        {
            InitializeComponent();
            this.ShowIcon = false;
            this.ControlBoxHeight = 20;
            this.CornerRadius = 0;
            this.Load += new EventHandler(gamma_Contrast_Load);
            this.ActivePictureBoxChanged += new EventHandler(activePictureBoxChanged);
            this.FormClosing += new FormClosingEventHandler(Gamma_FormClosing);
        }

        void Gamma_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (gammaControl1.thread != null &&
                gammaControl1.thread.ThreadState != System.Threading.ThreadState.Aborted)
                gammaControl1.thread.Abort();
        }

        void gamma_Contrast_Load(object sender, EventArgs e)
        {
            ActivePictureBox = ((MainForm)this.MdiParent).GetActivePictureBox();
        }

        private void activePictureBoxChanged(object sender, EventArgs e)
        {
            gammaControl1.ActivePictureBox = ActivePictureBox;
            gammaControl1.RefreshValues();
        }
    }
}